| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::StreamTubeClient::Tube Class Reference

The StreamTubeClient::Tube class represents a tube being handled by the client. More...

`#include <TelepathyQt/StreamTubeClient>`

Inheritance diagram for Tp::StreamTubeClient::Tube:
[legend]

## Public Member Functions

| Tube ()
| Tube (const AccountPtr &account, const IncomingStreamTubeChannelPtr &channel)
| Tube (const Tube &other)
| ~Tube ()
bool | isValid () const
Tube & | operator= (const Tube &other)
const AccountPtr & | account () const
const IncomingStreamTubeChannelPtr & | channel () const
Public Member Functions inherited from QPair< AccountPtr, IncomingStreamTubeChannelPtr >
| QPair ()
| QPair (const T1 &value1, const T2 &value2)
QPair< T1, T2 > & | operator= (const QPair< T1, T2 > &other)

## Additional Inherited Members

Public Attributes inherited from QPair< AccountPtr, IncomingStreamTubeChannelPtr >
typedef | first_type
typedef | second_type

## Detailed Description

The StreamTubeClient::Tube class represents a tube being handled by the client.

## Constructor & Destructor Documentation

## § Tube() [1/3]

Tp::StreamTubeClient::Tube::Tube | ( |  | ) |

Constructs a new invalid Tube instance.

## § Tube() [2/3]

Tp::StreamTubeClient::Tube::Tube | ( | const AccountPtr & | account,
|  | const IncomingStreamTubeChannelPtr & | channel
| ) |  |

Constructs a Tube instance for the given tube channel from the given account.

Parameters

  account | A pointer to the account the online connection of which the tube originates from.
  channel | A pointer to the tube channel object.

## § Tube() [3/3]

Tp::StreamTubeClient::Tube::Tube | ( | const Tube & | other | ) |

Copy constructor.

## § ~Tube()

Tp::StreamTubeClient::Tube::~Tube | ( |  | ) |

Class destructor.

## Member Function Documentation

## § isValid()

bool Tp::StreamTubeClient::Tube::isValid | ( |  | ) | const

inline

Return whether or not the tube is valid or is just the null object created using the default constructor.

Returns
  `true` if valid, `false` otherwise.

## § operator=()

StreamTubeClient::Tube & Tp::StreamTubeClient::Tube::operator= | ( | const Tube & | other | ) |

Assignment operator.

## § account()

AccountPtr Tp::StreamTubeClient::Tube::account | ( |  | ) | const

inline

Return the account from which the tube originates.

Returns
  A pointer to the account object.

## § channel()

IncomingStreamTubeChannelPtr Tp::StreamTubeClient::Tube::channel | ( |  | ) | const

inline

Return the actual tube channel.

Returns
  A pointer to the channel.